#!/bin/sh
rm -f "$(dirname "$0")"/firmwares/new*.hex
rm -rf "$(dirname "$0")"/tmp
rm -rf ~/qmk_firmware
mkdir -p "$(dirname "$0")"/tmp/files/drivers/haptic
git clone http://purdea.ro/qmk_firmware "$(dirname "$0")"/tmp/pandrew-qmk
git -C "$(dirname "$0")"/tmp/pandrew-qmk show 758febb > "$(dirname "$0")"/tmp/f104r1-zeropads-fix.diff
git -C "$(dirname "$0")"/tmp/pandrew-qmk reset --hard 6ebae72
qmk clone vial-kb/vial-qmk ~/qmk_firmware -b vial
{ git -C ~/qmk_firmware show 8cf9363; git -C ~/qmk_firmware show 97afb7e; } > "$(dirname "$0")"/tmp/mousekeys-optional.diff
git -C ~/qmk_firmware reset --hard ff5d361
git -C ~/qmk_firmware/lib/chibios reset --hard ffe54d6
git -C ~/qmk_firmware/lib/chibios-contrib reset --hard 61baa6b
rm -r ~/qmk_firmware/lib/chibios-contrib/ext/mcux-sdk
git -C ~/qmk_firmware/lib/googletest reset --hard ec44c6c
git -C ~/qmk_firmware/lib/lufa reset --hard ce10f76
git -C ~/qmk_firmware/lib/printf reset --hard d3b9846
git -C ~/qmk_firmware/lib/vusb reset --hard bdb53e4
rm -r ~/qmk_firmware/lib/lvgl
rm -r ~/qmk_firmware/lib/pico-sdk
wget https://raw.githubusercontent.com/darkcruix/qmk_firmware/fc224a2/drivers/haptic/haptic.c -O "$(dirname "$0")"/tmp/files/drivers/haptic/haptic.c
cp -a "$(dirname "$0")"/tmp/pandrew-qmk/keyboards/xwhatsit ~/qmk_firmware/keyboards
patch -d ~/qmk_firmware -p1 < "$(dirname "$0")"/tmp/mousekeys-optional.diff
patch -d ~/qmk_firmware -p1 < "$(dirname "$0")"/src/newfxx-vial-0p4p1-patches_r5.diff
patch -d ~/qmk_firmware -p1 < "$(dirname "$0")"/tmp/f104r1-zeropads-fix.diff
find ~/qmk_firmware -iname "*.orig" -exec rm -f "{}" ";"
cp -a "$(dirname "$0")"/src/files/* ~/qmk_firmware
cp -a "$(dirname "$0")"/tmp/files/* ~/qmk_firmware
rm -r ~/qmk_firmware/keyboards/xwhatsit/brand_new_model_f/beamspring_full_v2
qmk compile "$(dirname "$0")"/src/layouts/f62.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f62_wcass_default_fff892d.hex "$(dirname "$0")"/firmwares/newf62-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/f77.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f77_wcass_default_fff892d.hex "$(dirname "$0")"/firmwares/newf77-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/fssk.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_fssk_round_1_wcass_default_667128a.hex "$(dirname "$0")"/firmwares/newfssk-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/fsskr2.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_fssk_round2_wcass_default_667128a.hex "$(dirname "$0")"/firmwares/newfssk_r2-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/f104ns.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f104_round_1_nonshrunk_wcass_default_667128a.hex "$(dirname "$0")"/firmwares/newf104_ns-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/f104.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f104_round_1_shrunk_wcass_default_667128a.hex "$(dirname "$0")"/firmwares/newf104-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/f104r2.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f104_round2_wcass_default_667128a.hex "$(dirname "$0")"/firmwares/newf104_r2-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/f50.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f50_wcass_default_6523a7c.hex "$(dirname "$0")"/firmwares/newf50-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/f15l.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f15_left_wcass_default_6523a7c.hex "$(dirname "$0")"/firmwares/newf15_l-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/f15r.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_f15_right_wcass_default_6523a7c.hex "$(dirname "$0")"/firmwares/newf15_r-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/forthol.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_fortho_left_wcass_default_6523a7c.hex "$(dirname "$0")"/firmwares/newfortho_l-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/forthor.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_fortho_right_wcass_default_6523a7c.hex "$(dirname "$0")"/firmwares/newfortho_r-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/bssk.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_beamspring_ssk_wcass_default_056f2c9.hex "$(dirname "$0")"/firmwares/newbssk-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/b104.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_beamspring_full_wcass_default_056f2c9.hex "$(dirname "$0")"/firmwares/newb104-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/bsskr2.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_beamspring_ssk_r2_wcass_default_96f3b9b.hex "$(dirname "$0")"/firmwares/newbssk_r2-vial-0p4p1_r5.hex
qmk compile "$(dirname "$0")"/src/layouts/b62.json
mv ~/qmk_firmware/xwhatsit_brand_new_model_f_beamspring_60pct_wcass_default_96f3b9b.hex "$(dirname "$0")"/firmwares/newb62-vial-0p4p1_r5.hex
